% avoid unneceassty computation.

nsize = 8e+6;
vector_zero = zeros(nsize,1);
vector_inp_1 = rand(nsize,1);
vector_inp_2 = rand(nsize,1);
vector_out_real = zeros(nsize,1);
vector_out_imag = zeros(nsize,1);
vector_inp_3 = zeros(nsize,1);
%cvector_out_1 = complex(vector_zero,vector_zero);
%cvector_out_2 = complex(vector_zero,vector_zero);
%cvector_out_3 = complex(vector_zero,vector_zero);

tic;

%cvector_inp_1 = complex(vector_zero,vector_inp_1);
%cvector_inp_2 = complex(vector_zero,vector_inp_2);

vector_inp_3 = vector_inp_1 + vector_inp_2;

for i = 1:nsize
    vector_out_real(i,1) = cos( vector_inp_3(i,1) ) ;
    vector_out_imag(i,1) = sin( vector_inp_3(i,1) ) ;
end


toc;
